Issue #15838 has been reported by joeychou0235 (Joey Chou).

----------------------------------------
Bug #15838: IOError: uninitialized stream
https://bugs.ruby-lang.org/issues/15838

* Author: joeychou0235 (Joey Chou)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-darwin17]
* Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
- **What did you do?**

  I ran the command `/Users/joeychou/.rbenv/versions/2.3.0/bin/bundle install`

- **What did you expect to happen?**

  I expected Bundler to normally install all the gems.

- **What happened instead?**

  Instead, what happened was showing IOErrror: uninitialized stream

- **Have you tried any solutions posted on similar issues in our issue tracker, stack overflow, or google?**

  I tried.  But not working.

- **Have you read our issues document, https://github.com/bundler/bundler/blob/master/doc/contributing/ISSUES.md?**

  Yes
## Backtrace

```
IOError: uninitialized stream
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/compact_index_client/updater.rb:111:in `read'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/compact_index_client/updater.rb:111:in `block in checksum_for_file'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/shared_helpers.rb:118:in `filesystem_access'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/compact_index_client/updater.rb:110:in `checksum_for_file'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/compact_index_client.rb:88:in `update_info'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/compact_index_client.rb:55:in `block in dependencies'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/fetcher/compact_index.rb:88:in `block (3 levels) in compact_index_client'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/worker.rb:64:in `apply_func'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/worker.rb:59:in `block in process_queue'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/worker.rb:56:in `loop'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/worker.rb:56:in `process_queue'
  /Users/joeychou/.rbenv/versions/2.3.0/lib/ruby/gems/2.3.0/gems/bundler-2.0.1/lib/bundler/worker.rb:90:in `block (2 levels) in create_threads'
```

## Environment

```
Bundler       2.0.1
  Platforms   ruby, x86_64-darwin-17
Ruby          2.3.0p0 (2015-12-25 revision 53290) [x86_64-darwin17]
  Full Path   /Users/joeychou/.rbenv/versions/2.3.0/bin/ruby
  Config Dir  /Users/joeychou/.rbenv/versions/2.3.0/etc
RubyGems      2.5.1
  Gem Home    /Users/joeychou/deep/path/ruby/2.3.0
  Gem Path    
  User Path   /Users/joeychou/.gem/ruby/2.3.0
  Bin Dir     /Users/joeychou/deep/path/ruby/2.3.0/bin
OpenSSL       
  Compiled    OpenSSL 1.0.2n  7 Dec 2017
  Loaded      OpenSSL 1.0.2n  7 Dec 2017
  Cert File   /usr/local/etc/openssl/cert.pem
  Cert Dir    /usr/local/etc/openssl/certs
Tools         
  Git         2.15.1
  RVM         not installed
  rbenv       rbenv 1.1.1
  chruby      not installed
```

## Bundler Build Metadata

```
Built At          2019-01-04
Git SHA           d7ad2192f
Released Version  true
```

## Bundler settings

```
build.libv8
  Set for the current user (/Users/joeychou/.bundle/config): "--with-system-v8"
build.therubyracer
  Set for the current user (/Users/joeychou/.bundle/config): "--with-v8-dir=/usr/lcal/opt/v8-315"
gem.test
  Set for the current user (/Users/joeychou/.bundle/config): false
gem.mit
  Set for the current user (/Users/joeychou/.bundle/config): false
gem.coc
  Set for the current user (/Users/joeychou/.bundle/config): false
path
  Set for your local app (/Users/joeychou/deep/.bundle/config): "path"
```




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>